org.apache.poi.ss.formula.ptg

## Class NameXPxg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperandPtg
    - - org.apache.poi.ss.formula.ptg.NameXPxg

- All Implemented Interfaces:
    Duplicatable, Pxg

      public final class NameXPxg
      extends OperandPtg
      implements Pxg

  A Name, be that a Named Range or a Function / User Defined Function, addressed in the HSSF External Sheet style.

  This is XSSF only, as it stores the sheet / book references in String form. The HSSF equivalent using indexes is `NameXPtg`

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameXPxg(int externalWorkbookNumber, java.lang.String sheetName, java.lang.String nameName)`
    `NameXPxg(NameXPxg other)`
    `NameXPxg(java.lang.String nameName)`
    `NameXPxg(java.lang.String sheetName, java.lang.String nameName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NameXPxg` | `copy()`
    `byte` | `getDefaultOperandClass()`
    `int` | `getExternalWorkbookNumber()`
    `java.lang.String` | `getNameName()`
    `java.lang.String` | `getSheetName()`
    `int` | `getSize()`
    `void` | `setSheetName(java.lang.String sheetName)`
    `java.lang.String` | `toFormulaString()` return a string representation of this token alone
    `java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg

      `isBaseToken`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NameXPxg

          public NameXPxg(int externalWorkbookNumber,
                          java.lang.String sheetName,
                          java.lang.String nameName)

    - #### NameXPxg

          public NameXPxg(NameXPxg other)

    - #### NameXPxg

          public NameXPxg(java.lang.String sheetName,
                          java.lang.String nameName)

    - #### NameXPxg

          public NameXPxg(java.lang.String nameName)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Ptg`
      Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method
      Overrides:
        `toString` in class `Ptg`

    - #### getExternalWorkbookNumber

          public int getExternalWorkbookNumber()

      Specified by:
        `getExternalWorkbookNumber` in interface `Pxg`

    - #### getSheetName

          public java.lang.String getSheetName()

      Specified by:
        `getSheetName` in interface `Pxg`

    - #### getNameName

          public java.lang.String getNameName()

    - #### setSheetName

          public void setSheetName(java.lang.String sheetName)

      Specified by:
        `setSheetName` in interface `Pxg`

    - #### toFormulaString

          public java.lang.String toFormulaString()

      Description copied from class: `Ptg`
      return a string representation of this token alone
      Specified by:
        `toFormulaString` in interface `Pxg`
      Specified by:
        `toFormulaString` in class `Ptg`

    - #### getDefaultOperandClass

          public byte getDefaultOperandClass()

      Specified by:
        `getDefaultOperandClass` in class `Ptg`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `Ptg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### copy

          public NameXPxg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `OperandPtg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.